Redmine 3.4.6 / Ruby 2.4 / postgresql 9.5 not working ?

Added by Anthony BROCHET 10 months ago

Hello,

Redmine 3.4.6 not working with postgresql 9.5 and ruby 2.4 x64 in Windows 7.
Does something has to be changed?

C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/thin_service-0.0.7/bin/thin_service:6: warning: already initialized constant ARGV
C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/pg-0.18.4-x64-mingw32/lib/pg.rb:14:in `require': cannot load such file -- 2.4/pg_ext (LoadError)
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/pg-0.18.4-x64-mingw32/lib/pg.rb:14:in `rescue in <top (required)>'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/pg-0.18.4-x64-mingw32/lib/pg.rb:3:in `<top (required)>'
from C:/Redmine/Ruby24-x64/lib/ruby/site_ruby/2.4.0/bundler/runtime.rb:81:in `require'
from C:/Redmine/Ruby24-x64/lib/ruby/site_ruby/2.4.0/bundler/runtime.rb:81:in `block (2 levels) in require'
from C:/Redmine/Ruby24-x64/lib/ruby/site_ruby/2.4.0/bundler/runtime.rb:76:in `each'
from C:/Redmine/Ruby24-x64/lib/ruby/site_ruby/2.4.0/bundler/runtime.rb:76:in `block in require'
from C:/Redmine/Ruby24-x64/lib/ruby/site_ruby/2.4.0/bundler/runtime.rb:65:in `each'
from C:/Redmine/Ruby24-x64/lib/ruby/site_ruby/2.4.0/bundler/runtime.rb:65:in `require'
from C:/Redmine/Ruby24-x64/lib/ruby/site_ruby/2.4.0/bundler.rb:114:in `require'
from C:/Redmine/site-web/redmine-dev/config/application.rb:5:in `<top (required)>'
from C:/Redmine/site-web/redmine-dev/config/environment.rb:2:in `require'
from C:/Redmine/site-web/redmine-dev/config/environment.rb:2:in `<top (required)>'
from C:/Redmine/site-web/redmine-dev/config.ru:3:in `require'
from C:/Redmine/site-web/redmine-dev/config.ru:3:in `block in <main>'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-1.6.10/lib/rack/builder.rb:55:in `instance_eval'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/rack-1.6.10/lib/rack/builder.rb:55:in `initialize'
from C:/Redmine/site-web/redmine-dev/config.ru:1:in `new'
from C:/Redmine/site-web/redmine-dev/config.ru:1:in `<main>'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/thin-1.7.2/lib/rack/adapter/loader.rb:33:in `eval'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/thin-1.7.2/lib/rack/adapter/loader.rb:33:in `load'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/thin-1.7.2/lib/rack/adapter/loader.rb:42:in `for'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/thin-1.7.2/lib/thin/controllers/controller.rb:170:in `load_adapter'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/thin-1.7.2/lib/thin/controllers/controller.rb:74:in `start'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/thin-1.7.2/lib/thin/runner.rb:203:in `run_command'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/thin-1.7.2/lib/thin/runner.rb:159:in `run!'
from C:/Redmine/Ruby24-x64/lib/ruby/gems/2.4.0/gems/thin-1.7.2/bin/thin:6:in `<top (required)>'
from C:/Redmine/Ruby24-x64/bin/thin:23:in `load'
from C:/Redmine/Ruby24-x64/bin/thin:23:in `<main>'
Using rack adapter

Any idea please ?